org.apache.activemq.artemis.selector.filter

## Class ConstantExpression

- java.lang.Object
- - org.apache.activemq.artemis.selector.filter.ConstantExpression

- All Implemented Interfaces:
    Expression

      public class ConstantExpression
      extends Object
      implements Expression

  Represents a constant expression
  Version:
    $Revision: 1.2 $

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static org.apache.activemq.artemis.selector.filter.ConstantExpression.BooleanConstantExpression` | `FALSE`
    `static org.apache.activemq.artemis.selector.filter.ConstantExpression.BooleanConstantExpression` | `NULL`
    `static org.apache.activemq.artemis.selector.filter.ConstantExpression.BooleanConstantExpression` | `TRUE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConstantExpression(Object value)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ConstantExpression` | `createFloat(String text)`
    `static ConstantExpression` | `createFromDecimal(String text)`
    `static ConstantExpression` | `createFromHex(String text)`
    `static ConstantExpression` | `createFromOctal(String text)`
    `static String` | `encodeString(String s)` Encodes the value of string so that it looks like it would look like when it was provided in a selector.
    `boolean` | `equals(Object o)`
    `Object` | `evaluate(Filterable message)`
    `Object` | `getValue()`
    `int` | `hashCode()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### NULL

          public static final org.apache.activemq.artemis.selector.filter.ConstantExpression.BooleanConstantExpression NULL

    - #### TRUE

          public static final org.apache.activemq.artemis.selector.filter.ConstantExpression.BooleanConstantExpression TRUE

    - #### FALSE

          public static final org.apache.activemq.artemis.selector.filter.ConstantExpression.BooleanConstantExpression FALSE

  - ### Constructor Detail

    - #### ConstantExpression

          public ConstantExpression(Object value)

  - ### Method Detail

    - #### createFromDecimal

          public static ConstantExpression createFromDecimal(String text)

    - #### createFromHex

          public static ConstantExpression createFromHex(String text)

    - #### createFromOctal

          public static ConstantExpression createFromOctal(String text)

    - #### createFloat

          public static ConstantExpression createFloat(String text)

    - #### evaluate

          public Object evaluate(Filterable message)
                          throws FilterException

      Specified by:
        `evaluate` in interface `Expression`
      Returns:
        the value of this expression
      Throws:
        `FilterException`

    - #### getValue

          public Object getValue()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`
      See Also:
        `Object.toString()`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`
      See Also:
        `Object.hashCode()`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`
      See Also:
        `Object.equals(Object)`

    - #### encodeString

          public static String encodeString(String s)

      Encodes the value of string so that it looks like it would look like when it was provided in a selector.
      Parameters:
        `s` -
      Returns:

Copyright © 2018 The Apache Software Foundation. All rights reserved.